Index: tests/Fragmentations/Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order1.at
===================================================================
--- tests/Fragmentations/Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order1.at	(revision 6253ed4bcfa0dd23c33719d286276be9760ec373)
+++ tests/Fragmentations/Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order1.at	(revision 2a0eb0bc95d9c1abbb0bac5df2ab2b1531f888e6)
@@ -48,5 +48,5 @@
 AT_CHECK([chmod u+w $file], 0)
 
-AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 1 --distance $DISTANCE  --output-types mpqc pcp xyz], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 --select-molecules-atoms -f $FILENAME --order 1 --distance $DISTANCE  --output-types mpqc pcp xyz], 0, [stdout], [stderr])
 AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
 AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])
Index: tests/Fragmentations/Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order2.at
===================================================================
--- tests/Fragmentations/Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order2.at	(revision 6253ed4bcfa0dd23c33719d286276be9760ec373)
+++ tests/Fragmentations/Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order2.at	(revision 2a0eb0bc95d9c1abbb0bac5df2ab2b1531f888e6)
@@ -48,5 +48,5 @@
 AT_CHECK([chmod u+w $file], 0)
 
-AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 2 --distance $DISTANCE  --output-types mpqc pcp xyz], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 --select-molecules-atoms -f $FILENAME --order 2 --distance $DISTANCE  --output-types mpqc pcp xyz], 0, [stdout], [stderr])
 AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
 AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])
Index: tests/Fragmentations/Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order3.at
===================================================================
--- tests/Fragmentations/Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order3.at	(revision 6253ed4bcfa0dd23c33719d286276be9760ec373)
+++ tests/Fragmentations/Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order3.at	(revision 2a0eb0bc95d9c1abbb0bac5df2ab2b1531f888e6)
@@ -48,5 +48,5 @@
 AT_CHECK([chmod u+w $file], 0)
 
-AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 3 --distance $DISTANCE  --output-types mpqc pcp xyz], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 --select-molecules-atoms -f $FILENAME --order 3 --distance $DISTANCE  --output-types mpqc pcp xyz], 0, [stdout], [stderr])
 AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
 AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])
Index: tests/Fragmentations/Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order4.at
===================================================================
--- tests/Fragmentations/Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order4.at	(revision 6253ed4bcfa0dd23c33719d286276be9760ec373)
+++ tests/Fragmentations/Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order4.at	(revision 2a0eb0bc95d9c1abbb0bac5df2ab2b1531f888e6)
@@ -48,5 +48,5 @@
 AT_CHECK([chmod u+w $file], 0)
 
-AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 4 --distance $DISTANCE  --output-types mpqc pcp xyz], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 --select-molecules-atoms -f $FILENAME --order 4 --distance $DISTANCE  --output-types mpqc pcp xyz], 0, [stdout], [stderr])
 AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
 AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])
Index: tests/Fragmentations/Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order5.at
===================================================================
--- tests/Fragmentations/Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order5.at	(revision 6253ed4bcfa0dd23c33719d286276be9760ec373)
+++ tests/Fragmentations/Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order5.at	(revision 2a0eb0bc95d9c1abbb0bac5df2ab2b1531f888e6)
@@ -48,5 +48,5 @@
 AT_CHECK([chmod u+w $file], 0)
 
-AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 5 --distance $DISTANCE  --output-types mpqc pcp xyz], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 --select-molecules-atoms -f $FILENAME --order 5 --distance $DISTANCE  --output-types mpqc pcp xyz], 0, [stdout], [stderr])
 AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
 AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])
Index: tests/Fragmentations/Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order6.at
===================================================================
--- tests/Fragmentations/Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order6.at	(revision 6253ed4bcfa0dd23c33719d286276be9760ec373)
+++ tests/Fragmentations/Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order6.at	(revision 2a0eb0bc95d9c1abbb0bac5df2ab2b1531f888e6)
@@ -48,5 +48,5 @@
 AT_CHECK([chmod u+w $file], 0)
 
-AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 6 --distance $DISTANCE  --output-types mpqc pcp xyz], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 --select-molecules-atoms -f $FILENAME --order 6 --distance $DISTANCE  --output-types mpqc pcp xyz], 0, [stdout], [stderr])
 AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
 AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])
